Commit f594af32 authored by Michael Reeves's avatar Michael Reeves

*scrat legacy konqueror plugin support.

*Update readme.
parent cd6e56b8
...@@ -53,24 +53,7 @@ else(KFILEITEMACTIONPLUGIN_FOUND) ...@@ -53,24 +53,7 @@ else(KFILEITEMACTIONPLUGIN_FOUND)
message(STATUS "") message(STATUS "")
message(STATUS "kabstractfileitemactionplugin.h found........... NO") message(STATUS "kabstractfileitemactionplugin.h found........... NO")
message(STATUS " => kdiff3fileitemactionplugin (KDiff3 contextmenu plugin for Konqueror/Dolphin, KDE>4.6) will not be built.)") message(STATUS " => kdiff3fileitemactionplugin (KDiff3 contextmenu plugin for Konqueror/Dolphin, KDE>4.6) will not be built.)")
message(STATUS "Trying fallback via libkonq (works with Konqueror only) ...") message(STATUS "No automatic fallback provided current configuration is not supported for plugin...")
FIND_PACKAGE(LibKonq)
if(LIBKONQ_FOUND)
set(HAVE_LIBKONQ 1)
message(STATUS "")
message(STATUS "libkonq module found........... YES")
message(STATUS " => kdiff3plugin (KDiff3 contextmenu plugin for Konqueror) will be built.")
message(STATUS "")
add_subdirectory(kdiff3plugin)
else(LIBKONQ_FOUND)
set(HAVE_LIBKONQ 0)
message(STATUS "")
message(STATUS "libkonq module found........... NO")
message(STATUS " => kdiff3plugin (KDiff3 contextmenu plugin for Konqueror) will not be built.)")
message(STATUS "")
endif(LIBKONQ_FOUND)
endif(KFILEITEMACTIONPLUGIN_FOUND) endif(KFILEITEMACTIONPLUGIN_FOUND)
feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES) feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
\ No newline at end of file
KDiff3-Readme KDiff3-Readme
============= =============
Port to kf5/Qt5 by Michael Reeves (C) 2016
KDiff3-Version: 0.10.0
Now requires Qt 5.3 or later and KF5 5.5+. Legacy 0.9.94 and earlier builds are not supported.
Windows/MacOSX build is untested since port. Builds and runs under kubuntu 16.04 will likely
still work under other Linux/Un*x. konqueror specific plugin is not ported and no longer mantained.
This plugin would only apply to KDE before 4.6 . Support as been removed from main CMakeLists.txt.
These are the original pre kf5/qt5 Readme fallows:
Author: Joachim Eibl (joachim.eibl at gmx.de) Author: Joachim Eibl (joachim.eibl at gmx.de)
Copyright: (C) 2002-2009 by Joachim Eibl Copyright: (C) 2002-2009 by Joachim Eibl
KDiff3-Version: 0.9.94 KDiff3-Version: 0.9.94
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment